#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    for(int i=n, j=2*n,p=0;i>0;i--,j--,p++){
        if(p==n/2)
        cout<<endl;
        cout<<i<<" "<<j<<" ";
    }
    cout<<endl;
}